using MS.Component.Jwt.UserClaim;
using MS.Models.ViewModel;
using MS.WebCore.Core;
using System.Collections.Generic;
using System.Threading.Tasks;

namespace MS.Services
{
    public interface IAccountService : IBaseService
    {
        Task<ExecuteResult<UserData>> Login(LoginViewModel viewModel);
        Task<ExecuteResult<UserData>> syncFromVersion(long versionNo,bool excludingCurrentBu, string specificHeader);

        Task AddEmployeeCardMonthlySummaryToRedisAsync(string buid, string date);


        /// <summary>
        /// 获取全部buid 
        /// </summary>
        /// <returns></returns>
        Task<IEnumerable<string>> GetBuids();

        Task ClearhashValues(string key);
    }
}